summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
committerJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
commitbf44030c9ac34f8ad2bc24f023cc08f7f644e415 (patch)
tree7605f947ed63a14793ceae4a0a2a689b567bccb2
parentAdd kshrc (diff)
downloadsrc-bf44030c9ac34f8ad2bc24f023cc08f7f644e415.tar.gz
src-bf44030c9ac34f8ad2bc24f023cc08f7f644e415.zip
Move nasd to shell script
-rwxr-xr-xhome/.local/bin/nasd9
-rw-r--r--home/.zshrc7
2 files changed, 9 insertions, 7 deletions
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
new file mode 100755
index 00000000..203fdd2d
--- /dev/null
+++ b/home/.local/bin/nasd
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e -u
+
+dir=$(mktemp -d)
+echo 'bits 64' > $dir/input
+cat >> $dir/input
+nasm -o $dir/output $dir/input || true
+ndisasm -b 64 $dir/output || true
+rm -r $dir
diff --git a/home/.zshrc b/home/.zshrc
index c7f58fce..3d6ec00c 100644
--- a/home/.zshrc
+++ b/home/.zshrc
@@ -36,13 +36,6 @@ alias gp='git push' gu='git pull' gf='git fetch'
 alias gr='git rebase' gra='gr --abort' grc='gr --continue' grs='gr --skip'
 alias rand='openssl rand -base64 33'
 
-nasd() {
-  local tmp=$(mktemp)
-  cat > $tmp
-  nasm -p =(echo 'bits 64') -o >(ndisasm -b 64 /dev/stdin) $tmp
-  rm $tmp
-}
-
 setopt prompt_subst
 _prompt_git() {
   local dotgit=.git head